View Issue Details

IDProjectCategoryView StatusLast Update
0000170Siril[All Projects] Sirilpublic2018-09-13 01:25
ReportervinvinAssigned To 
PriorityhighSeverityfeatureReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version 
Target Version1.0.0Fixed in Version 
Summary0000170: Bayer drizzle
DescriptionImplement the bayer drizzle algorithm.
TagsNo tags attached.

Relationships

parent of 0000012 assignedvinvin Drizzle in preprocessing 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Related Changesets

Siril: bayer_drizzle r2176

2018-03-30 22:50:38

vinvin

Details
Starting bayer drizzle - issue 0000170.
Added an option in registration to do the debayer on-the-fly for a CFA sequence and keep the CFA sequence loaded with registration data.
Added a temporary stacking method that does the bayer drizzle with holes but that does not seem to work yet.
Affected Issues
0000170
mod - /branches/bayer_drizzle/src/Makefile.am
mod - /branches/bayer_drizzle/src/algos/demosaicing.c
mod - /branches/bayer_drizzle/src/algos/demosaicing.h
mod - /branches/bayer_drizzle/src/core/command.c
mod - /branches/bayer_drizzle/src/core/processing.c
mod - /branches/bayer_drizzle/src/core/processing.h
mod - /branches/bayer_drizzle/src/gui/siril3.glade
mod - /branches/bayer_drizzle/src/io/sequence.c
mod - /branches/bayer_drizzle/src/io/sequence.h
mod - /branches/bayer_drizzle/src/registration/registration.c
mod - /branches/bayer_drizzle/src/registration/registration.h
add - /branches/bayer_drizzle/src/stacking/bayer.c
add - /branches/bayer_drizzle/src/stacking/bayer.h
mod - /branches/bayer_drizzle/src/stacking/stacking.c
mod - /branches/bayer_drizzle/src/stacking/sum.c

Siril: bayer_drizzle r2186

2018-04-04 01:02:57

vinvin

Details
Trying the bayer stacking in sum stacking. Interpolation in case of missing data is not done yet.
Forgot that I had merged 0.9 into the branch already, sorry.
Affected Issues
0000170
mod - /branches/bayer_drizzle
mod - /branches/bayer_drizzle/ChangeLog
mod - /branches/bayer_drizzle/NEWS
mod - /branches/bayer_drizzle/README.md
mod - /branches/bayer_drizzle/config.guess
mod - /branches/bayer_drizzle/config.sub
mod - /branches/bayer_drizzle/configure.ac
mod - /branches/bayer_drizzle/src/algos/colors.c
mod - /branches/bayer_drizzle/src/algos/gradient.c
mod - /branches/bayer_drizzle/src/algos/statistics.c
mod - /branches/bayer_drizzle/src/algos/statistics.h
mod - /branches/bayer_drizzle/src/compositing/align_rgb.c
mod - /branches/bayer_drizzle/src/core/command.c
mod - /branches/bayer_drizzle/src/core/siril.c
mod - /branches/bayer_drizzle/src/core/siril.h
mod - /branches/bayer_drizzle/src/gui/callbacks.c
mod - /branches/bayer_drizzle/src/gui/callbacks.h
mod - /branches/bayer_drizzle/src/io/sequence.c
mod - /branches/bayer_drizzle/src/io/sequence.h
mod - /branches/bayer_drizzle/src/io/single_image.c
mod - /branches/bayer_drizzle/src/main.c
mod - /branches/bayer_drizzle/src/stacking/stacking.c
mod - /branches/bayer_drizzle/src/stacking/stacking.h
mod - /branches/bayer_drizzle/src/stacking/sum.c

Siril: bayer_drizzle r2205

2018-04-12 02:08:34

vinvin

Details
Trying a fix for sum stacking normalization in bayer drizzle (issue 0000170).
Affected Issues
0000170
mod - /branches/bayer_drizzle/src/stacking/sum.c

Issue History

Date Modified Username Field Change
2017-01-31 02:51 vinvin New Issue
2017-12-02 10:39 vinvin Priority low => high
2017-12-02 10:39 vinvin Status new => acknowledged
2017-12-02 10:39 vinvin Target Version 1.1.0 => 1.0.0
2017-12-02 10:41 vinvin Target Version 1.0.0 => 0.9.9
2017-12-02 13:52 vinvin Relationship added child of 0000012
2017-12-02 13:52 vinvin Relationship deleted child of 0000012
2017-12-02 13:52 vinvin Relationship added parent of 0000012
2018-03-18 20:37 vinvin Assigned To => vinvin
2018-03-18 20:37 vinvin Status acknowledged => assigned
2018-03-30 22:50 vinvin Changeset attached => Siril bayer_drizzle r2176
2018-04-04 01:03 vinvin Changeset attached => Siril bayer_drizzle r2186
2018-04-12 02:08 vinvin Changeset attached => Siril bayer_drizzle r2205
2018-04-29 23:47 vinvin Target Version 0.9.9 => 0.9.10
2018-06-07 23:43 vinvin Assigned To vinvin =>
2018-06-07 23:43 vinvin Status assigned => acknowledged
2018-09-13 01:25 vinvin Target Version 0.9.10 => 1.0.0